<!DOCTYPE html>
<html>
<head>
	<title>
	Software Engineering Code of Ethics and Professional Practice.
    </title>
</head>

<body>
<em> Science and Engineering Ethics(2001) 7, 231-238</em><hr>
<h1> Software Engineering Code of Ethics and <br> Professional Practice</h1>
<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional <br>Practices</h3> 
<hr>
<strong> Keywords</strong>: code of ethics, professional responsibility, software engineering <br><br>
<strong>PREAMBLE</strong><br><br>
The short version of the code summarizes aspirations at a high level of abstraction. The clause that<br>are include in the full version give examples and details of how these aspirations change the way we <br> act as software engineering professionals. Without the aspirations,the details can become legalistic<br>and tedious; without the detail, the aspirations can become high-sounding but empty; together,the<br>aspirations and the details form a cohesive code.<br><br>
Software engineers shall commit themselves to making the analysis,specification, design,<br>development,testing, and maintenance of software a beneficial and respected profession. In<br>accordance with their commitment to health, safety, and welfare of the public,software enginners<br>shall adhere to the following eigh Principles:<br><br>
<strong>PRINCIPLES</strong>
<br>
<br>
<ol>
	<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
	<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their<br>client and employer, consistent with the public interest.</li>
	<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the<br>highest professional standards possible.</li>
	<li><em>Judgment.</em> Software engineers shall maintain integrity abd indepence in their professional<br> judgment.</li>
	<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an<br>ethical approach to the management of software development and maintenance.</li>
	<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession<br>consistent with the public interest.</li>
	<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
	<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their<br>profesion and shall promote an ethical approach to the practice of the profession.</li>
</ol>
</body>
</html>